org.opencv.bgsegm

## Class BackgroundSubtractorMOG

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.BackgroundSubtractor
    - - org.opencv.bgsegm.BackgroundSubtractorMOG

-     public class BackgroundSubtractorMOG
      extends BackgroundSubtractor

  Gaussian Mixture-based Background/Foreground Segmentation Algorithm. The class implements the algorithm described in CITE: KB2001 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackgroundSubtractorMOG(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackgroundSubtractorMOG` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `double` | `getBackgroundRatio()`
    `int` | `getHistory()`
    `int` | `getNMixtures()`
    `double` | `getNoiseSigma()`
    `void` | `setBackgroundRatio(double backgroundRatio)`
    `void` | `setHistory(int nframes)`
    `void` | `setNMixtures(int nmix)`
    `void` | `setNoiseSigma(double noiseSigma)`

    - ### Methods inherited from class org.opencv.video.BackgroundSubtractor

      `apply, apply, getBackgroundImage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackgroundSubtractorMOG

          protected BackgroundSubtractorMOG(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BackgroundSubtractorMOG __fromPtr__(long addr)

    - #### getBackgroundRatio

          public double getBackgroundRatio()

    - #### getNoiseSigma

          public double getNoiseSigma()

    - #### getHistory

          public int getHistory()

    - #### getNMixtures

          public int getNMixtures()

    - #### setBackgroundRatio

          public void setBackgroundRatio(double backgroundRatio)

    - #### setHistory

          public void setHistory(int nframes)

    - #### setNMixtures

          public void setNMixtures(int nmix)

    - #### setNoiseSigma

          public void setNoiseSigma(double noiseSigma)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `BackgroundSubtractor`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8